Subject: RE: relmote lfa draft edits (TLDP Address)

From: Uma Chunduri <[email-masked]>
Date: Mon, 10 Feb 2014 21:42:56 +0000

[CC'ed IS-IS wg too]

Regarding the following discussions at last IETF and the corresponding modified text in http://tools.ietf.org/html/draft-ietf-rtgwg-remote-lfa-04 ,
regarding the same I have the following question to authors -

=======================================================================

      - Targeted LDP Address

          - Advertise in protocol. This is preferred.  However,

            some boxes don't advertise.

[Uma]: I think this was mentioned because it's been said non-TE participating/legacy nodes won't advertise this.

          - Management configuration as a requirement.

          - Pick an address arbitrarily.

         Uma: What configuration is expected?

         Stewart: Could be silent since it is a vendor

           implementation issue.

         Hannes: Lowest IP address is useless. A node should

           be able to advertise that it doesn't support

           T-LDP.

         Rob Shakir - Draft should not remain silent on this

           issue.

         Stewart: Use Router-ID if not configured to do otherwise

           like using a different address.

The text now says:

In the absence of a protocol to learn the preferred IP address for targeted LDP, an LSR should attempt a targeted LDP session with the Router ID [RFC2328] [RFC5305] [RFC5340], unless it is configured otherwise.

[Uma]:  ..then the above text can be potentially   conflicting to what is stated in Section 12 -

         "To prevent their use as an attack vector the repair tunnel endpoints
   SHOULD be assigned from a set of addresses that are not reachable
   from outside the routing domain."

If a new private IP address range is provisioned for T-LDP then it may not be possible to indicate the same as RID with multiple loopbacks.

I feel the text around this should not be rigid based on this and this is can still present a potential interoperability issue for RLFA..

For IS-IS:

This can be addressed by defining  auxiliary RIDs TLV (or sub-TLV in TLV 242)  specifying the purpose of the RID, in this case for RLFA T-LDP session.

With this -

a.       One need not dip into all reachability prefixes 135/235/236/237 to find the prefix tags

b.      Also need not get confused if the tag is present because of inter area leaking etc..

We had a small offline discussion on this and welcome others view on this too.

--

Uma C.